#include <iostream>
using namespace std;

int main() {
	long long n, m;
	cin >> n >> m;
	long long zbir = 2 * m;
	long long o = n - 2;
	if(m % 2 != 0) {
		if(o % 2 == 0) {
			zbir += (m + 2) * (o / 2);
		}
		else zbir += o * ((m + 1) / 2) + ((o - 1) / 2);
	}
	else zbir += o * (m / 2 + 1);
	cout << zbir;
	return 0;
}